Sets the custom fields for a project template.

POSThttps://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/setcustomfields
POST https://api.awork.com/api/v1/projecttemplates/{projectTemplateId}/setcustomfields

Sets the custom fields for a project template. The custom fields become available to tasks created from the template.

Authentication

AuthorizationBearer

Send your token in the Authorization: Bearer <token> header. See Authentication for API keys and OAuth.

Path parameters

projectTemplateIdstringRequired
format: uuid

The id of the project template.

Request body Required

The list of custom field values to set.

application/json

customFieldDefinitionIdstringRequired
format: uuid

The custom field definition id.

userIdValuestring or nullOptional
format: uuid

The user id. The user id can be set for custom field type 'user'.

clientIdValuestring or nullOptional
format: uuid

The client id. The client id can be set for custom field type 'client'.

numberValuenumber or nullOptional
format: double

The number value. The number value can be set for custom field type 'number'.

selectionOptionIdValuestring or nullOptional
format: uuid

The selection option id value. The id can be set for custom field types 'select' and 'coloredSelect'.

textValuestring or nullOptional
maxLength: 750

The text value. The text value can be set for custom field types 'text' and 'link'.

dateValuestring or nullOptional
format: date-time

The date value. The date value can be set for custom field types 'date' and 'datetime'.

booleanValueboolean or nullOptional

The boolean value. The boolean value can be set for custom field type 'boolean'.

Responses

204 No Content
Search documentation